// gnome.xonotic.in.ua

textures/base_door/shinymetaldoor_outside3a2
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside3a2.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_door/shinymetaldoor_outside3glow.tga
		blendfunc add
		rgbgen wave sin .9 .1 0 5
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border11light_300
{
	qer_editorimage textures/base_light/border11light.tga
	q3map_lightimage textures/base_light/border11light.blend.tga
	q3map_surfacelight 235
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border11light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border11light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_3000
{
	qer_editorimage textures/base_light/light5.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/pj_metal14_1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/metal14_1.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_support/support1rust
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_support/support1rust.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_support/support1rust.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_trim/border12b_pj
{
	qer_editorimage textures/base_trim/border12b.tga
	q3map_surfacelight 150
	q3map_lightimage textures/base_trim/border12bfx.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border12b.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border12bfx.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/dark_tin2
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/base_trim/dark_tin2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/pewter_spec
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/pewter_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_trim/proto_comp
{
	{
		map textures/base_trim/proto_comp2.tga
		tcmod scroll 0 -.2
		rgbgen wave sin .5 .5 0 3
		rgbgen identity
	}
	{
		clampmap textures/sfx/console03.tga
		tcmod rotate -33
		tcmod stretch sin .8 0 0 0
		blendfunc add
		rgbgen wave sin .6 0 0 0
	}
	{
		clampmap textures/sfx/console02.tga
		tcmod rotate -333
		tcmod stretch sin .8 0 0 0
		blendfunc add
		rgbgen wave sin .3 0 0 0
	}
	{
		map textures/effects/tinfx2c.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map textures/base_trim/proto_comp.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/atechengine_ax
{
	q3map_lightimage textures/base_wall/atechengine_ax2.tga
	q3map_surfacelight 300
	{
		map textures/sfx/proto_zzztpink.tga
		tcmod rotate 60
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/atechengine_ax.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2e
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2f
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2f.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2fline
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_wall/shinygrate1_4
{
	{
		map $lightmap
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_wall/shinygrate1_4.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/proto_poolpass
{
	q3map_globaltexture
	q3map_lightimage textures/liquids/proto_pool3.tga
	q3map_globaltexture
	q3map_surfacelight 240
	surfaceparm slime
	{
		map textures/liquids/proto_gruel2.tga
		tcmod scale .5 .6
		tcmod turb .1 .25 0 -.1
	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc gl_one gl_one
		tcmod scale .2 .2
		tcmod turb .1 .25 0 .07
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bolts.tga
		blendfunc gl_one gl_one
		tcmod scale .2 .2
		tcmod scroll .1 .1
		tcmod rotate 290
	}
}

textures/sfx/bounce_concrete
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/skies/blacksky
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 32 90 90
	{
		map gfx/colors/black.tga
	}
}

textures/skies/tim_hell
{
	qer_editorimage textures/skies/stars_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 .77 .77 80 315 70
	q3map_surfacelight 130
	skyparms - 384 -
	{
		map textures/skies/killsky_1.tga
		tcmod scroll 0.05 .1
		tcmod scale 2 2
		depthwrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.06
		tcmod scale 3 2
	}
}

